<?php

if (!isset($_SESSION['user_id'])) {
    echo json_encode(["error" => "Not logged in"]);
    exit();
}

$follower_id = $_SESSION['user_id'];
$following_id = $_POST['following_id'];

// Check if already following
$checkQuery = "SELECT COUNT(*) as fcount FROM followers WHERE follower_id = :follower_id AND following_id = :following_id";
$alreadyFollowing = query_row($checkQuery, ['follower_id' => $follower_id, 'following_id' => $following_id]);

if ($alreadyFollowing['fcount'] > 0) {
    // Unfollow (Delete from database)
    $deleteQuery = "DELETE FROM followers WHERE follower_id = :follower_id AND following_id = :following_id";
    query($deleteQuery, ['follower_id' => $follower_id, 'following_id' => $following_id]);
    $status = "Follow";
} else {
    // Follow (Insert into database)
    $insertQuery = "INSERT INTO followers (follower_id, following_id) VALUES (:follower_id, :following_id)";
    query($insertQuery, ['follower_id' => $follower_id, 'following_id' => $following_id]);
    $status = "Following";
}

// Get updated follower count
$queryFollowers = "SELECT COUNT(*) AS followers FROM followers WHERE following_id = :id";
$followers = query($queryFollowers, ['id' => $following_id]);
$followerCount = $followers[0]['followers'] ?? 0;


echo json_encode([
    "success" => ($status === "Following" ? "Followed" : "Unfollowed"),
    "status" => $status,
    "followers" => $followerCount
]);
?>
