<div class="container mt-5 mb-5">
    <div class="row g-4">
        <?php foreach ($result as $post): 
            $id = $post['id'];
            $title = $post['title'];
            $content = $post['content'];
            $image = $post['image'];
            $category = $post['category'];
            $username = $post['username'];
            $image_user = $post['image_user'];
            $userid = $post['userid'];
            $seconds_ago = (time() - strtotime($post['date']));

            if ($seconds_ago >= 31536000) {
                $date =  intval($seconds_ago / 31536000) . " years ago";
            } elseif ($seconds_ago >= 2419200) {
                $date =  intval($seconds_ago / 2419200) . " months ago";
            } elseif ($seconds_ago >= 86400) {
                $date =  intval($seconds_ago / 86400) . " days ago";
            } elseif ($seconds_ago >= 3600) {
                $date =  intval($seconds_ago / 3600) . " hours ago";
            } elseif ($seconds_ago >= 120) {
                $date =  intval($seconds_ago / 60) . " minutes ago";
            } elseif ($seconds_ago >= 60) {
                $date = "a minute ago";
            } else {
                $date = "less than a minute ago";
            }

            $query = "Select count(id) as num from comments where post_id = $id and active = 1";
            $num_comment = query_row($query);
        ?>
<div class="col-md-6 col-lg-4">
    <div class="card shadow-sm border-0">
        <a href="<?=ROOT?>/post/<?=$post['slug']?>" class="text-decoration-none position-relative">
            <img src="<?= get_image($image) ?>" class="post-image border rounded">
            <div class="category-badge bg-primary text-white px-2 py-1 rounded position-absolute bottom-0 end-0 m-2">
                <?= $category ?>
            </div>
        </a>
        <div class="card-body">
            <h5 class="card-title text-center">
                <a href="#" class="text-dark text-decoration-none"><?= $title ?></a>
            </h5>
            <div class="d-flex align-items-center my-2">
                <a href="<?=ROOT?>/profile/<?=$userid?>" class="text-decoration-none">
                    <img src="<?= get_image($image_user) ?>" class="profile-img me-2 rounded-circle" alt="Author" width="40" height="40">
                </a>
                <p class="mb-0">By <a href="<?=ROOT?>/profile/<?=$userid?>" class="text-muted fw-bold text-decoration-none"><?= $username ?></a></p>
            </div>

            <!-- Like & Comment Section -->
            <?php
                $query = "SELECT COUNT(*) as num FROM likes WHERE post_id = $id";
                $likes = query_row($query);
                $likes = $likes['num'];

                // Check if the current user liked the post
                $user_id = $_SESSION['user_id'] ?? 0;
                $liked_query = "SELECT COUNT(*) as liked FROM likes WHERE post_id = $id AND user_id = $user_id";
                $liked_result = query_row($liked_query);
                $isLiked = $liked_result['liked'] > 0;
                ?>
            <div class="d-flex justify-content-between align-items-center mt-3">
                <!-- Like Button -->
                <div class="d-flex align-items-center">
                    <button class="btn btn-link p-0 like-btn" data-post-id="<?= $id ?>" data-logged-in="<?= isset($_SESSION['user_id']) ? 'true' : 'false' ?>">
                        <i class="bi <?= $isLiked ? 'bi-heart-fill text-danger' : 'bi-heart' ?> like-icon fs-5"></i>
                    </button>
                    <a href="<?=ROOT?>/post/<?=$post['slug']?>" class="text-muted text-decoration-none mx-2"><span class="ms-1 like-count"><?= $likes ?> Likes</span></a>
                </div>

                <!-- Comments -->
                <div class="d-flex align-items-center">
                    <i class="bi bi-chat fs-5 me-1 text-primary"></i>
                    <a href="<?=ROOT?>/post/<?=$post['slug']?>" class="text-muted text-decoration-none"><?= $num_comment['num'] ?> Comments</a>
                </div>
                 <!-- Share Button -->
                <div class="d-flex align-items-center">
                <i class="bi bi-share fs-5 me-1 text-primary"></i>
                <a href="javascript:void(0);" class="share-btn text-muted text-decoration-none mx-1" data-url="<?= ROOT ?>/post/<?= $post['slug'] ?>">
                 Share
                </a>

                </div>
            </div>
            

            <!-- Date at Bottom Right -->
            <div class="d-flex justify-content-end mt-3">
                <p class="mb-0 text-muted small"><i class="bi bi-clock me-1"></i><?= $date ?></p>
            </div>
        </div>
    </div>
</div>



            
        <?php endforeach; ?>
    </div>
</div>
<script>
document.addEventListener("DOMContentLoaded", function() {
    document.querySelectorAll('.like-btn').forEach(button => {
        button.addEventListener('click', function() {
            let isLoggedIn = this.getAttribute('data-logged-in'); // Check login status
            if (isLoggedIn === "false") {
                window.location.href = "<?=ROOT?>/login"; // Redirect to login page
                return;
            }
            let postId = this.getAttribute('data-post-id');
            let icon = this.querySelector('.like-icon');
            let countElement = this.nextElementSibling;
            let x = icon.classList.contains('bi-heart-fill');

            let isLiked = icon.classList.contains('bi-heart-fill');
            // Send AJAX request
            fetch("<?=ROOT?>/likes", {
                method: "POST",
                headers: { "Content-Type": "application/x-www-form-urlencoded" },
                body: "post_id=" + postId + "&action=" + (isLiked ? "unlike" : "like")
            })
            .then(response => response.json())
            .then(data => {
                if (data.success) {
                    icon.classList.toggle('bi-heart');
                    icon.classList.toggle('bi-heart-fill');
                    countElement.textContent = data.likes;
                }
            });
        });
    });
});

</script>

