<style>
  .carousel-container {
    padding: 40px 0;
    background-image: linear-gradient(to top,rgb(166, 210, 241) 0%,#0d6efd 100%);
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.2);
    text-align: center;
    position: relative;
  }

  .carousel-title {
    font-size: 32px;
    font-weight: bold;
    color: #fff;
    margin-bottom: 20px;
    text-transform: uppercase;
    letter-spacing: 2px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
  }

  .carousel-item img {
    width: auto;
    height: 450px;
    object-fit: contain;
    border-radius: 15px;
    margin: auto;
  }

  .carousel-control-prev, .carousel-control-next {
    width: 7%;
  }

  .carousel-control-prev-icon, .carousel-control-next-icon {
    background-color: rgba(0, 0, 0, 0.6);
    padding: 15px;
    border-radius: 50%;
  }

  .carousel-control-prev:hover .carousel-control-prev-icon,
  .carousel-control-next:hover .carousel-control-next-icon {
    background-color: rgba(0, 0, 0, 0.9);
  }

  /* Play/Pause Button */
  .audio-controls {
    margin-top: 15px;
  }

  .audio-button {
    background-color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    font-weight: bold;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
  }

  .audio-button:hover {
    background-color: #f1f1f1;
  }
</style>

<?php if ($url[0] == 'home'): ?>
<div class="carousel-container">
  <h2 class="carousel-title">Today's Highlights</h2>
  
  <div id="imageSlider" class="carousel slide" data-bs-ride="carousel">
    <div class="carousel-inner">
        <?php
        $query = "SELECT image AS all_images FROM users 
        WHERE active = 1 and image != null UNION ALL SELECT image 
        FROM posts WHERE active = 1  ORDER BY RAND() LIMIT 5";
        $post = query($query);
        ?>
        <?php if (!empty($post)): ?>
            <?php foreach ($post as $index => $image): ?>
                <div class="carousel-item <?= $index === 0 ? 'active' : '' ?>">
                    <img src="<?= get_image($image['all_images']) ?>" class="d-block w-100" alt="Slide <?= $index + 1 ?>">
                </div>
            <?php endforeach; ?>
        <?php endif; ?>        
    </div>

    <!-- Left and Right Arrows -->
    <button class="carousel-control-prev" type="button" data-bs-target="#imageSlider" data-bs-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="visually-hidden">Previous</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#imageSlider" data-bs-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="visually-hidden">Next</span>
    </button>
  </div>

  <!-- Audio Player -->
  <div class="audio-controls">
    <button id="audioButton" class="audio-button"><i id="audioIcon" class="x`bi bi-play-btn-fill"></i></button>
    <audio id="carouselAudio">
      <source src="<?=ROOT?>/assets/bgm.mp3" type="audio/mpeg">
      Your browser does not support the audio element.
    </audio>
  </div>
</div>

<script>
  var myCarousel = new bootstrap.Carousel(document.querySelector('#imageSlider'), {
    interval: 5000, // Auto-slide every 5 seconds
    wrap: true,
    pause: false
  });

  // Audio Play/Pause Functionality
  document.addEventListener("DOMContentLoaded", function () {
    let audio = document.getElementById("carouselAudio");
    let audioButton = document.getElementById("audioButton");
    let audioIcon = document.getElementById("audioIcon");

    audioButton.addEventListener("click", function () {
      if (audio.paused) {
        audio.play();
        audioIcon.classList.remove("bi-play-btn-fill");
        audioIcon.classList.add("bi-pause-btn-fill");
      } else {
        audio.pause();
        audioIcon.classList.remove("bi-pause-btn-fill");
        audioIcon.classList.add("bi-play-btn-fill");
      }
    });
  });
</script>
<?php endif; ?>
