<?php
if(!logged_in()){
    redirect(ROOT . '/login'); 
}
include 'includes/header.php';
?>
<style>   
						/*

		All grid code is placed in a 'supports' rule (feature query) at the bottom of the CSS (Line 310). 
				
		The 'supports' rule will only run if your browser supports CSS grid.

		Flexbox and floats are used as a fallback so that browsers which don't support grid will still recieve a similar layout.

		*/

		/* Base Styles */


		.visually-hidden {
			position: absolute !important;
			height: 1px;
			width: 1px;
			overflow: hidden;
			clip: rect(1px, 1px, 1px, 1px);
		}

		/* Profile Section */

		.profile {
			padding: 5rem 0;
		}

		.profile::after {
			content: "";
			display: block;
			clear: both;
		}

		.profile-image {
			float: left;
			width: calc(33.333% - 1rem);
			display: flex;
			justify-content: center;
			align-items: center;
			margin-right: 3rem;
		}

		.profile-image img {
			border-radius: 50%;
		}

		.profile-user-settings,
		.profile-stats,
		.profile-bio {
			float: left;
			width: calc(66.666% - 2rem);
		}

		.profile-user-settings {
			margin-top: 1.1rem;
		}

		.profile-user-name {
			display: inline-block;
			font-size: 2rem;
			font-weight: 300;
		}

		.profile-edit-btn {
			font-size: 1rem;
			line-height: 1.8;
			border: 0.1rem solid #dbdbdb;
			border-radius: 0.3rem;
			padding: 0 2.4rem;
			margin-left: 2rem;
		}

		.profile-settings-btn {
			font-size: 1rem;
			margin-left: 1rem;
		}

		.profile-stats {
			margin-top: 2.3rem;
		}

		.profile-stats li {
			display: inline-block;
			font-size: 1rem;
			line-height: 1.5;
			margin-right: 4rem;
			cursor: pointer;
		}

		.profile-stats li:last-of-type {
			margin-right: 0;
		}

		.profile-bio {
			font-size: 1rem;
			font-weight: 400;
			line-height: 1.5;
			margin-top: 2.3rem;
		}

		.profile-real-name,
		.profile-stat-count,
		.profile-edit-btn {
			font-weight: 600;
		}

		/* Gallery Section */

				.gallery {
			display: flex;
			flex-wrap: wrap;
			margin: -1rem -1rem;
			padding-bottom: 3rem;
		}

		.gallery-item {
			position: relative;
			flex: 1 0 22rem;
			margin: 1rem;
			color: #fff;
			cursor: pointer;
		}

		.gallery-image {
			width: 100%;
			height: 100%;
			object-fit: cover;
		}

		.gallery-item:hover .gallery-item-info,
		.gallery-item:focus .gallery-item-info {
			display: flex;
			justify-content: center;
			align-items: center;
			position: absolute;
			top: 0;
			width: 100%;
			height: 100%;
			background-color: rgba(0, 0, 0, 0.3);
		}

		.gallery-item-info {
			display: none;
		}

		.gallery-item-info li {
			display: inline-block;
			font-size: 1rem;
			font-weight: 600;
		}

		.gallery-item-likes {
			margin-right: 2.2rem;
		}

		.gallery-item-type {
			position: absolute;
			top: 1rem;
			right: 1rem;
			font-size: 1.5rem;
			text-shadow: 0.2rem 0.2rem 0.2rem rgba(0, 0, 0, 0.1);
		}

		.fa-clone,
		.fa-comment {
			transform: rotateY(180deg);
		}


		/* Loader */

		.loader {
			width: 5rem;
			height: 5rem;
			border: 0.6rem solid #999;
			border-bottom-color: transparent;
			border-radius: 50%;
			margin: 0 auto;
			animation: loader 500ms linear infinite;
		}

		/* Media Query */

		@media screen and (max-width: 40rem) {
			.profile {
				display: flex;
				flex-wrap: wrap;
				padding: 4rem 0;
			}

			.profile::after {
				display: none;
			}

			.profile-image,
			.profile-user-settings,
			.profile-bio,
			.profile-stats {
				float: none;
				width: auto;
			}

			.profile-image img {
				width: 7.7rem;
			}

			.profile-user-settings {
				flex-basis: calc(100% - 10.7rem);
				display: flex;
				flex-wrap: wrap;
				margin-top: 1rem;
			}

			.profile-user-name {
				font-size: 1.5rem;
			}

			.profile-edit-btn {
				order: 1;
				padding: 0;
				text-align: center;
				margin-top: 1rem;
			}

			.profile-edit-btn {
				margin-left: 0;
			}

			.profile-bio {
				font-size: 1rem;
				margin-top: 1.5rem;
			}

			.profile-edit-btn,
			.profile-bio,
			.profile-stats {
				flex-basis: 100%;
			}

			.profile-stats {
				order: 1;
				margin-top: 1.5rem;
			}

			.profile-stats ul {
				display: flex;
				text-align: center;
				padding: 1.2rem 0;
				border-top: 0.1rem solid #dadada;
				border-bottom: 0.1rem solid #dadada;
			}

			.profile-stats li {
				font-size: 1.4rem;
				flex: 1;
				margin: 0;
			}

			.profile-stat-count {
				display: block;
			}
		}

		/* Spinner Animation */

		@keyframes loader {
			to {
				transform: rotate(360deg);
			}
		}

		/*

		The following code will only run if your browser supports CSS grid.

		Remove or comment-out the code block below to see how the browser will fall-back to flexbox & floated styling. 

		*/

		@supports (display: grid) {
			.profile {
				display: grid;
				grid-template-columns: 1fr 2fr;
				grid-template-rows: repeat(3, auto);
				grid-column-gap: 3rem;
				align-items: center;
			}

			.profile-image {
				grid-row: 1 / -1;
			}

			.gallery {
				display: grid;
				grid-template-columns: repeat(auto-fit, minmax(22rem, 1fr));
				grid-gap: 2rem;
			}

			.profile-image,
			.profile-user-settings,
			.profile-stats,
			.profile-bio,
			.gallery-item,
			.gallery {
				width: auto;
				margin: 0;
			}

			@media (max-width: 40rem) {
				.profile {
					grid-template-columns: auto 1fr;
					grid-row-gap: 1.5rem;
				}

				.profile-image {
					grid-row: 1 / 2;
				}

				.profile-user-settings {
					display: grid;
					grid-template-columns: auto 1fr;
					grid-gap: 1rem;
				}

				.profile-edit-btn,
				.profile-stats,
				.profile-bio {
					grid-column: 1 / -1;
				}

				.profile-user-settings,
				.profile-edit-btn,
				.profile-settings-btn,
				.profile-bio,
				.profile-stats {
					margin: 0;
				}
			}
		}

</style>
<!---  Php Files -->
<?php
if (!empty($url[1])) {
    $profile_id = $url[1];
} else {
    $profile_id = $_SESSION['user_id'];
}

$image_user = find('users', $profile_id, 'image');
$username = find('users' ,$profile_id ,'username');
$bio = find('users',$profile_id,'bio');

$postn = find('posts', $profile_id, 'COUNT(id) AS count');

// Count followers 
$queryFollowers = "SELECT COUNT(*) AS followers FROM followers WHERE following_id = :id";
$followers = query($queryFollowers, ['id' => $profile_id]);
$followerCount = $followers[0]['followers'] ?? 0;


$profile_user_id = $profile_id; // The user whose profile is being viewed

$counts = getFollowCounts($profile_id);

?>
<header>
<div class="container">

	<div class="profile">

		<div class="profile-image">
		
			<img src="<?=get_image($image_user)?>" alt="" class="img-fluid rounded-circle" 
			style="width: 250px; height: 250px; object-fit: cover;">

		</div>

		<div class="profile-user-settings align-items-center justify-content-center">
			<h1 class="profile-user-name"><?=$username?></h1>
			<?php if($url[1] == $_SESSION['user_id']){?>
						<a href="<?=ROOT?>/user/user/edit" class=" mx-3 btn profile-edit-btn">Edit Profile</a>
						<? }
						
					else{
						$checkQuery = "SELECT COUNT(*) as fcount FROM followers WHERE follower_id = :follower_id AND following_id = :following_id";
						$isFollowing = query_row($checkQuery, ['follower_id' => $_SESSION['user_id'], 'following_id' => $profile_user_id]);
						?>
						 <button id="follow-btn" class="mx-3 btn profile-edit-btn" 
							onclick="toggleFollow(<?= $profile_user_id ?>)">
							<?= ($isFollowing['fcount'] > 0) ? 'Following' : 'Follow' ?>
						</button>
					<?php }	?>
		</div>

		<div class="profile-stats">

			<ul class="align-items-center">
			<li class="nav-item">
              <a class="nav-link d-flex align-items-center gap-2" href="">
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-images" viewBox="0 0 16 16">
              <path d="M4.502 9a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3"/>
              <path d="M14.002 13a2 2 0 0 1-2 2h-10a2 2 0 0 1-2-2V5A2 2 0 0 1 2 3a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2v8a2 2 0 0 1-1.998 2M14 2H4a1 1 0 0 0-1 1h9.002a2 2 0 0 1 2 2v7A1 1 0 0 0 15 11V3a1 1 0 0 0-1-1M2.002 4a1 1 0 0 0-1 1v8l2.646-2.354a.5.5 0 0 1 .63-.062l2.66 1.773 3.71-3.71a.5.5 0 0 1 .577-.094l1.777 1.947V5a1 1 0 0 0-1-1z"/>
              </svg>
                <?=$postn?> Posts
              </a>
            </li>
			<li class="nav-item"><a href="#" class="nav-link" data-bs-toggle="modal" data-bs-target="#followersModal"> <span class="profile-stat-count" id="follower-count"><?= $counts['followers'] ?></span> followers</a></li>
			<li class="nav-item"><a href="#" class="nav-link" data-bs-toggle="modal" data-bs-target="#followingModal"> <span class="profile-stat-count" id="following-count"><?= $counts['following'] ?></span> following</a></li>
			</ul>

			<div class="modal fade" id="followersModal" tabindex="-1" aria-labelledby="followersModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="followersModalLabel">Followers</h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<ul id="followers-list" class="list-group"></ul>
				</div>
				</div>
			</div>
			</div>

			<div class="modal fade" id="followingModal" tabindex="-1" aria-labelledby="followingModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="followingModalLabel">Following</h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<ul id="following-list" class="list-group"></ul>
				</div>
				</div>
			</div>
			</div>
		</div>

		<div class="profile-bio align-items-center justify-content-center">

			<p><span class="profile-real-name"><?=$bio?></span></p>

		</div>

	</div>
	<!-- End of profile section -->

</div>
<!-- End of container -->

</header>

<main>

<div class="container">

<div class="container">
    <div class="row">
        <?php
        $query = "SELECT * FROM posts WHERE user_id = :id AND active = 1 ORDER BY id DESC";
        $posts = query($query, ['id' => $profile_id]); 
        ?>
        <?php if (!empty($posts)): ?>
            <?php foreach ($posts as $post): ?>
                <?php $image = $post['image']; ?>
                
                <div class="col-12 col-md-6 col-lg-4 mb-4">
                    <div class="card shadow-sm">
					<a href="<?=ROOT?>/post/<?=$post['slug']?>">
                        <img src="<?= get_image($image) ?>" class="card-img-top gallery-image" alt="Post Image">
					</a>
					<?php
					$query = "SELECT COUNT(*) as num FROM likes WHERE post_id = $post[id]";
					$likes = query_row($query);
					$likes = $likes['num'];
					$query = "Select count(id) as num from comments where post_id = $post[id] and active = 1";
            		$num_comment = query_row($query);
					?>
						<div class="card-body text-center">
						<a href="<?=ROOT?>/post/<?=$post['slug']?>" class="text-dark text-decoration-none">
                            <ul	 class="list-inline mb-0">
                                <li class="list-inline-item">
								<i class="bi bi-heart-fill"></i> <?=$likes?>
                                </li>
                                <li class="list-inline-item">
                                    <i class="bi bi-chat-fill"></i> <?=$num_comment['num']?>
                                </li>
                            </ul>
						</a>
                        </div>
                    </div>
                </div>

            <?php endforeach; ?>

		<?php else:?>
			<h3><center>No Posts</center></h3>	
        <?php endif; ?>
    </div>
</div>
</div>
<!-- End of container -->

</main>
<script>
// followers following popup
		document.addEventListener("DOMContentLoaded", function () {
			document.querySelector('[data-bs-target="#followersModal"]').addEventListener("click", function () {
				fetchFollowers();
			});

			document.querySelector('[data-bs-target="#followingModal"]').addEventListener("click", function () {
				fetchFollowing();
			});
		});

		function fetchFollowers() {
			fetch("<?=ROOT?>/fetch_followers?user_id=<?= $profile_id ?>")
				.then(response => response.json())
				.then(data => {
					let list = document.getElementById("followers-list");
					list.innerHTML = ""; // Clear existing list
					if (data.length > 0) {
						data.forEach(user => {
							list.innerHTML += `<li class="list-group-item"> <a href="<?=ROOT?>/profile/${user.id}" class="text-decoration-none text-dark"><img src="${user.image}" width="30" class="rounded-circle"> ${user.username}</a></li>`;
						});
					} else {
						list.innerHTML = "<li class='list-group-item'>No followers</li>";
					}
				});
		}

		function fetchFollowing() {
			fetch("<?=ROOT?>/fetch_following?user_id=<?= $profile_id ?>")
				.then(response => response.json())
				.then(data => {
					let list = document.getElementById("following-list");
					list.innerHTML = ""; // Clear existing list
					if (data.length > 0) {
						data.forEach(user => {
							list.innerHTML += `<li class="list-group-item"><a href="<?=ROOT?>/profile/${user.id}" class="text-decoration-none text-dark"><img src="${user.image}" width="30" class="rounded-circle"> ${user.username}</a></li>`;
						});
					} else {
						list.innerHTML = "<li class='list-group-item'>Not following anyone</li>";
					}
				});
		}
///

	function toggleFollow(profileUserId) {
		let followBtn = document.getElementById("follow-btn");
		let followerCount = document.getElementById("follower-count");

		fetch("<?=ROOT?>/follow_action", {
			method: "POST",
			headers: {
				"Content-Type": "application/x-www-form-urlencoded"
			},
			body: `following_id=${profileUserId}`
		})
		.then(response => response.json())
		.then(data => {
			if (data.success) {
				followBtn.innerText = data.status;
				followerCount.innerText = data.followers; // Update follower count
			} else if (data.error) {
				alert(data.error);
			}
		})
		.catch(error => console.error("Error:", error));
	}

</script>