
<?php if($action == 'add'):?>
    <!-- Add posts form or functionality here -->
    <div class="container d-flex justify-content-center mt-5">
        <div class="card shadow-lg p-4" style="width: 100%; max-width: 600px; border-radius: 10px;">
            <h1 class="h3 mb-3 fw-bold text-center">Create Post</h1>

            <?php if (!empty($errors)): ?>
                <div class="alert alert-danger">
                    <ul>
                        <?php foreach ($errors as $error): ?>
                            <li><?= $error ?></li>
                        <?php endforeach; ?>
                    </ul>
                </div>
            <?php endif; ?>
                 <form method="POST" action="<?=ROOT?>/user/post/add" enctype="multipart/form-data">
                

                    <!-- Image Upload -->
                    <div class="text-center">
                        <label class="form-label fw-bold">Profile Image</label>
                        <div class="mb-3">
                            <input type="file" name="image" id="imageUpload" class="form-control" accept="image/*">
                        </div>
                        <div class="mb-3">
                            <img id="previewImage" 
                                src="<?= !empty($user['image']) ? get_image($user['image']) : '' ?>" 
                                class="img-thumbnail rounded-circle shadow-sm" 
                                style="width: 120px; height: 120px; object-fit: cover; <?= !empty($user['image']) ? '' : 'display: none;' ?>">
                        </div>
                        <canvas id="croppedCanvas" style="display: none;"></canvas>
                    </div>

                    <input type="hidden" name="cropped_image" id="croppedImageData">


                <!-- Title Input -->
                <div class="form-floating mt-5">
                    <input value="<?oldvalue('title')?>" type="text" name="title" class="form-control rounded-3" id="floatingInput" placeholder="Title" required>
                    <label for="floatingInput">Title</label>
                </div>

                <!-- Content Textarea -->
                <div class="mt-3">
                    <label for="customTextarea" class="form-label fw-semibold">Post Content</label>
                    <textarea id="customTextarea" name="content" rows="4" class="form-control rounded-3" placeholder="Your message"><?oldvalue('content')?></textarea>
                </div>

                <!-- Category Dropdown -->
                <div class="form-floating mt-3">
                    <?php
                    $query = "SELECT * FROM categories WHERE active=1";
                    $categories = query($query);
                    ?>
                   <select id="dropdown1" class="form-select rounded-3" name="category_id">
                        <option value="">Select Category</option>
                        <?php foreach ($categories as $category): ?>
                            <option value="<?= $category['id'] ?>"  <?= ($category['id'] == oldvalue('category_id')) ? "selected" : "" ?> >
                                <?= $category['category'] ?>
                            </option>
                        <?php endforeach; ?>
                    </select>

                    <label for="dropdown1">Category</label>
                </div>

                <!-- Buttons -->
                <div class="d-flex justify-content-between mt-4">
                    <a href="<?=ROOT?>" class="btn btn-outline-secondary py-2 px-4 rounded-3">Back</a>
                    <button class="btn btn-primary py-2 px-4 rounded-3" type="submit">Add Post</button>
                </div>
            </form>
        </div>
    </div>

                   
<?php elseif($action == 'edit'):?>
    <!-- Edit posts form or functionality here -->
    <?php
    $edit_id=$url[3] ?? '';
        $query="SELECT * FROM posts where id=:id and active=1";
        $posts=query_row($query,['id'=>$edit_id]);
        if($posts){
    ?>
    <div class="container d-flex justify-content-center mt-5">
        <div class="card shadow-lg p-4" style="width: 100%; max-width: 600px; border-radius: 10px;">
            <h1 class="h3 mb-3 fw-bold text-center">Edit Post</h1>

            <?php if (!empty($errors)): ?>
                <div class="alert alert-danger">
                    <ul>
                        <?php foreach ($errors as $error): ?>
                            <li><?= $error ?></li>
                        <?php endforeach; ?>
                    </ul>
                </div>
            <?php endif; ?>

            <form method="POST" action="<?=ROOT?>/user/post/edit/<?=$posts['id']?>" enctype="multipart/form-data">
                <input type="hidden" name="id" value="<?=$posts['id']?>">


                                    <!-- Image Upload -->
                                    <div class="text-center">
                                        <label class="form-label fw-bold">Profile Image</label>
                                        <div class="mb-3">
                                            <input type="file" name="image" id="imageUpload" class="form-control" accept="image/*">
                                        </div>
                                        <div class="mb-3">
                                            <img id="previewImage" 
                                                src="<?= !empty($posts['image']) ? get_image($posts['image']) : '' ?>" 
                                                class="img-thumbnail rounded-circle shadow-sm" 
                                                style="width: 120px; height: 120px; object-fit: cover; <?= !empty($posts['image']) ? '' : 'display: none;' ?>">
                                        </div>
                                        <canvas id="croppedCanvas" style="display: none;"></canvas>
                                    </div>

                        <input type="hidden" name="cropped_image" id="croppedImageData">

                <!-- Title -->
                <div class="form-floating mb-3 mt-5">
                    <input value="<?=oldvalue('title',$posts['title'])?>" 
                        type="text" name="title" class="form-control" id="floatingInput" 
                        placeholder="Title" required>
                    <label for="floatingInput">Title</label>
                </div>

                <!-- Content -->
                <div class="mb-3">
                    <label class="form-label fw-bold">Content</label>
                    <textarea id="customTextarea" name="content" rows="4" class="form-control custom-textarea"
                            placeholder="Write your post..."><?=oldvalue('content',$posts['content'])?></textarea>
                </div>

                <!-- Category -->
                <div class="form-floating mb-3">
                    <?php
                    $query="SELECT * FROM categories WHERE active=1";
                    $categories=query($query);
                    ?>
                    <select id="dropdown1" class="form-select" name="category_id">
                        <option value="">Select Category</option>
                        <?php foreach($categories as $category): ?>
                            <option value="<?=$category['id']?>" 
                                <?= ($posts['category_id'] == $category['id']) ? "selected" : "" ?>>
                                <?=$category['category']?>
                            </option>
                        <?php endforeach; ?>
                    </select>
                    <label for="dropdown1">Category</label>
                </div>
                <!-- Buttons -->
                <div class="d-flex justify-content-between mt-4">
                    <a href="<?=ROOT?>/post/<?=$posts['slug']?>" class="btn btn-outline-secondary px-4 py-2">Back</a>
                    <button class="btn btn-primary px-4 py-2 shadow-sm" type="submit">Save</button>
                </div>

            </form>
        </div>
    </div>

    <?php }
    else{
        echo '<div class="alert alert-danger">posts not found</div>';
        echo '<a href="'.ROOT.'/admin/posts" class="btn btn-primary">Back to posts</a>';
    }
    ?>     
<?php elseif($action == 'delete'):?> 
        <!-- Delete posts functionality here -->
        <?php
    //     echo "Delete posts";
        $delete_id=$url[3];
        $query="SELECT * FROM posts where id=:id and active=1";
        $posts1=query_row($query,['id'=>$delete_id]);
        if(!$posts1){
            echo '<div class="alert alert-danger">posts not found</div>';
            echo '<a href="'.ROOT.'" class="btn btn-primary">Back to Home</a>';
            die;
        }else{
            $query="UPDATE posts SET active=0 where id=:id";
            $posts=query($query,['id'=>$delete_id]);
            if(file_exists('/home/Iamrajesh/htdocs/blogs/public'.$posts1['image'])){
                unlink('/home/Iamrajesh/htdocs/blogs/public'.$posts1['image']);
            }
            ?>
        <div class="container mt-5 text-center">
                <div class="alert alert-success shadow-sm border rounded p-3 fw-bold">
                    <i class="bi bi-check-circle-fill me-2"></i> Post deleted successfully!
                </div>
                <a href="<?=ROOT?>" class="btn btn-primary px-4 py-2 fw-bold shadow-sm">
                    <i class="bi bi-house-door-fill me-1"></i> Back to Home
                </a>
            </div>

            <?php
        }
        ?>
<?php endif; ?>
